elevation_messages = {
    'chat_not_set': {
        'en': "This chat cannot be set as BIC chat! ❌",
        'it': "Questa chat non può essere impostata come chat del BIC ❌",
    },
    'chat_set': {
        'en': "BIC chat ID set ✅\n🏷 Chat ID: {chat_id}",
        'it': "ID della chat del BIC salvato ✅\n🏷 ID chat: {chat_id}",
    },
    'denied': {
        'en': "You have no right elevate yourself to Founder! 🚫",
        'it': "Non hai diritto a ottenere i privilegi di Fondatore! 🚫",
    },
    'granted': {
        'en': "You have been elevated to Founder! 👑",
        'it': "Ora sei Fondatore! 👑",
    },
}

language_messages = {
    'language_command': {
        'name': {
            'en': "/language",
            'it': "/lingua"
        },
        'reply_keyboard_button': {
            'en': "Language 🗣",
            'it': "Lingua 🗣"
        },
        'alias': {
            'en': "Language 🗣",
            'it': "Lingua 🗣"
        },
        'description': {
            'en': "Change language settings",
            'it': "Cambia le impostazioni della lingua"
        }
    },
    'language_button': {
        'description': {
            'en': "Change language settings",
            'it': "Cambia le impostazioni della lingua"
        },
        'language_set': {
            'en': "Selected language: English 🇬🇧",
            'it': "Lingua selezionata: Italiano 🇮🇹"
        }
    },
    'language_panel': {
        'text': {
            'en': "<b>Choose a language</b>",
            'it': "<b>Seleziona una lingua</b>"
        }
    }
}

patreon_messages = {
    'confirmation_email': {
        'confirmation_failed': {
            'en': "Wrong confirmation code. Check your email and try again: /verify",
            'it': "Codice di verifica errato. Controlla la mail e prova di nuovo: /verifica",
        },
        'expired_code': {
            'en': "The code has expired. Please try again: /email",
            'it': "Codice di verifica scaduto. Ottienine un altro: /email",
        },
        'invalid_email_address': {
            'en': "The email you provided is invalid. Please try again.",
            'it': "La mail inserita non è valida. Per favore riprova.",
        },
        'notification': {
            'en': "🔔 Your status as patron has been verified.\n"
                  "You can now join the chat clicking this temporary link:\n"
                  "{invite_link}\n\n"
                  "If the link has expired, click /verify to get a new one.",
            'it': "🔔 Il tuo ruolo di patron è stato confermato.\n"
                  "Ora puoi unirti alla chat usando questo link temporaneo:\n"
                  "{invite_link}\n\n"
                  "Se il link è scaduto, clicka /verifica per ottenerne uno nuovo.",
        },
        'send_invite_link': {
            'en': "You can join the chat clicking this temporary link:\n"
                  "{invite_link}\n\n"
                  "If the link has expired, click /verify to get a new one.",
            'it': "Puoi unirti alla chat usando questo link temporaneo:\n"
                  "{invite_link}\n\n"
                  "Se il link è scaduto, clicka /verifica per ottenerne uno nuovo.",
        },
        'sent': {
            'en': "✉️ Check your email, including the SPAM folder 🗑",
            'it': "✉️ Controlla la mail, compresa la cartella SPAM 🗑",
        },
        'subject': {
            'en': "Confirm your email",
            'it': "Conferma la tua email",
        },
        'text': {
            'en': "<h1>Welcome!</h1>\n"
                  "<p>Click <a href=\"{confirmation_link}\">this link</a> or send <a href=\"https://t.me/{"
                  "bot.name}\">@{bot.name}</a> <code>/verify {confirmation_code}</code> to link this email address to "
                  "the telegram account {telegram_account}.</p> <p>As soon as your email will be listed among "
                  "patrons, you will receive the invite link to the Breaking Italy Club chat! Just wait a few days "
                  "=)</p>",
            'it': "<h1>Bevenutə!</h1>\n"
                  "<p>Clicka su <a href=\"{confirmation_link}\">questo link</a> oppure scrivi <code>/verifica {"
                  "confirmation_code}</code> a <a href=\"https://t.me/{bot.name}\">@{bot.name}</a> per associare "
                  "questo indirizzo email all'account telegram {telegram_account}.</p> "
                  "<p>Appena la tua email sarà inserita nell'elenco dei patron riceverai il link di invito nella chat "
                  "del Breaking Italy Club! Pazienta qualche giorno =)</p>",
        },
        'wait_for_invite_link': {
            'en': "Your email has been linked with this Telegram account.\n"
                  "However, it is not included in the patrons list yet.\n"
                  "Please wait a few days, I will notify you when you can join the chat. 🔔\n"
                  "When you are listed among patrons, you can get a temporary invite link to join the chat at any "
                  "time: just click /verify",
            'it': "La tua mail è stata associata a questo account Telegram.\n"
                  "Tuttavia, ancora non compare nella lista dei patron.\n"
                  "Pazienta qualche giorno, ti invierò un messaggio non appena potrai unirti alla chat. 🔔\n"
                  "Quando comparirai nella lista dei patron, potrai ricevere un link temporaneo di invito per "
                  "aggiungerti alla chat in qualiasi momento: basterà clickare /verifica",
        },
    },
    'join_chat': {
        'en': "Thank you for your Patreon subscription! You may enter ",
        'it': "",
    },
    'list_updated': {
        'en': "Patrons whitelist updated ✅",
        'it': "Lista dei patron aggiornata ✅",
    },
    'whitelist_updated': {
        'en': "Patrons old whitelist updated ✅",
        'it': "Vecchia lista dei patron aggiornata ✅",
    },
}

supported_languages = {
    'en': {
        'flag': '🇬🇧',
        'name': 'English'
    },
    'it': {
        'flag': '🇮🇹',
        'name': 'Italiano'
    }
}
